Oauth

Authenticate

post

Authenticate for authenticate.

Authorizations
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/oauth/authenticate

Authorise

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

authentication_implementation_id

timezone

string

date_format

string

rate_limit_unit

string

rate_limit_duration

integer

connection_pool_id

integer

variables

variables.*.key

string

variables.*.value

string

variables.*.label

string

variables.*.secret

variables.*.locked

variables.*.pivot.alias

string

variables.*.pivot.configurable

variables.*.pivot.required

variables.*.pivot.advanced

session_id

string

platform_app_key

string

certificate_id

string

Authorizations
Body
authentication_implementation_idstringRequired
timezonestringRequired
date_formatstringRequired
rate_limit_unitstring · enumRequiredPossible values:
rate_limit_durationintegerRequired
connection_pool_idintegerOptional
variablesstringOptional
session_idstringOptional
platform_app_keystringOptional
certificate_idstringOptional
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/oauth/authorise

Store

post

Create a new woo app auth.

Authorizations
Responses
chevron-right
200

Successful response

No content

post
/api/v1/oauth/woo-app-auth

No content

Reauthorise

patch

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

authentication_implementation_id

name

string

type

string

timezone

string

date_format

string

rate_limit_unit

string

rate_limit_duration

integer

connection_pool_id

integer

variables

variables.*.id

string

variables.*.key

string

variables.*.value

string

variables.*.label

string

variables.*.secret

variables.*.locked

variables.*.pivot.alias

string

variables.*.pivot.configurable

variables.*.pivot.required

variables.*.pivot.advanced

Authorizations
Path parameters
connectorstringRequired

The connector identifier.

Body
authentication_implementation_idstringOptional
typestringOptional
timezonestringOptional
date_formatstringOptional
rate_limit_unitstring · enumOptionalPossible values:
rate_limit_durationintegerOptional
connection_pool_idintegerOptional
variablesstringOptional
Responses
chevron-right
200

Successful response

application/json
objectOptional
patch
/api/v1/oauth/{connector}/reauthorise

Last updated

Was this helpful?